{% extends "general/base.html" %}
{% load widget_tweaks %}

{% block title %}
	Edit Notification
{% endblock %}

{% block content %}
{% load static %}


<div class="container mt-4">
<div class="row">
	<div class="col-md-2">

	</div>

		<div class="col-md-2"></div>

	<div class="col-md-4">
		<!-- Default form register -->
		<form class="border mt-5 border-secondary text-center p-3" method="post">
			{% csrf_token %}
		<p class="h4 mb-4 text-secondary text-center">Notification Details</p>

		<div class="text-left mt-5 container">
			<h3 class="animated fadeIn mb-3" align="center">{{ object.title }}</h3>
			<div class="md-form form-lg">
			  <input type="text" id="location" class="form-control form-control-lg" value="{{object.location}}" readonly>
			  <label for="location">Location</label>
			</div>
			<div class="md-form form-lg">
			  <input type="text" id="date_created" class="form-control form-control-lg" value="{{object.date_created}}" readonly>
			  <label for="date_created">Date created</label>
			</div>
			<div class="md-form form-lg">
			  <input type="text" id="date_of_coming" class="form-control form-control-lg" value="{{object.date_of_coming}}" readonly>
			  <label for="date_of_coming">Date of occurrence</label>
			</div>
			<div class="md-form form-lg">
			  <input type="text" id="creator" class="form-control form-control-lg" value="{{object.creator.email}}" readonly>
			  <label for="creator">Creator email</label>
			</div>
			<div class="md-form form-lg">
				{% if object.is_finished %}
			  		<input type="text" id="checkbox_yes" class="form-control form-control-lg" value="Yes" readonly>
				{% else %}
					<input type="text" id="checkbox_no" class="form-control form-control-lg" value="No" readonly>
				{% endif %}
				<label for="date_of_coming">Is it finished notification?</label>
			</div>

			<div class="form-group shadow-textarea">
			  <textarea class="form-control z-depth-1" rows="3" placeholder="Write something here..." readonly>Description: {{object.description}}</textarea>
			</div>
			<h5 class="animated fadeIn mb-3">Recipients emails list: </h5>
			<ul class="list-group">
			{% for user in object.members.all%}
				<li class="list-group-item">{{ user.email }}</li>
			{% endfor%}
			</ul>
		</div>

			<button onclick="window.history.back();" class="btn btn-secondary my-4 btn-block" type="button">Back</button>

	</form>
		<!-- Default form register -->
	</div>

	<div class="col-md-2"></div>

</div>
</div>
{% endblock %}